/*
 * 쐬: 2003/12/26
 *
 */
package com.muimi.delcvs;

import java.net.URL;
import java.util.Properties;

import org.eclipse.ant.core.AntRunner;
import org.eclipse.core.resources.IContainer;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.IPluginDescriptor;
import org.eclipse.core.runtime.Platform;
import org.eclipse.ui.plugin.AbstractUIPlugin;

/**
 * @author miya
 *
 */
public class DelCvsPlugin extends AbstractUIPlugin{

	private static DelCvsPlugin plugin;

	/**
	 * @param descriptor
	 */
	public DelCvsPlugin(IPluginDescriptor descriptor) {
		super(descriptor);
		plugin = this;
	}

	public static DelCvsPlugin getDefault(){
		return plugin;
	}


	public void deleteCvs(IContainer container){

		try {			
			URL baseUrl = getDescriptor().getInstallURL();
			URL buildFileUrl = new URL(baseUrl, "file/delcvs.xml");
			String buildFileLoc = Platform.asLocalURL(buildFileUrl).getPath();

			Properties prop = new Properties();
			String delRootLoc = container.getLocation().toString();
			prop.setProperty("root.dir", delRootLoc);
		
			AntRunner runner = new AntRunner();
			runner.setBuildFileLocation(buildFileLoc);
			runner.addUserProperties(prop);
			runner.run();

			container.refreshLocal(IResource.DEPTH_INFINITE, null);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}


}
